{% extends '../base.html'%} {% block main %} {% load static %}

<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}

  <div class="table-container">
    <p class="text-center fs-4 mt-3">Liste des utilisateurs</p>
    <div class="sort">
      <div class="select">
        <select
          id="status"
          class="form-select"
          aria-label="Default select example"
        >
          <option value="0">Tous</option>
          <option value="1">Admins</option>
          <option value="2">Utilisateur</option>
        </select>
      </div>
      <div class="search">
        <div class="input-group">
          <input
            placeholder="Recharcher ..."
            type="text"
            class="form-control px-2"
            aria-label="Sizing example input"
            aria-describedby="inputGroup-sizing-default"
            id="inputSearchQ"
          />
          <span
            class="input-group-text"
            id="inputGroup-sizing-default"
            title="Recharcher par le numéro de suivi ou par la siret"
          >
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <table class="table">
      <thead>
        <tr style="font-size: 0.7rem">
          <th>Nom<br>Email</th>
          <th>Rôle<br>Date de joindre</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody class="table-group-divider" style="font-size: 0.7rem">
        {% for user in users %}
        <tr data-status = "{% if user.is_superuser %}1{% else %}2{% endif %}" >
          <td>{{ user.get_last_name }} {{ user.get_first_name }}<br>{{ user.email }}</td>
          <td>{{ user.get_rights }}<br>{{ user.date_joined }}</td>
          {% if request.user != user %} {% if user.is_superuser %}
          <td>
            <a class="normal-link rounder shadow py-1 px-2 bg-danger text-white" href="{% url 'user_change_role' user.id 2 %}">Rétrograder</a>
          </td>
          {% else %}
          <td>
            <a class="normal-link rounder shadow py-1 px-2 bg-success text-white" href="{% url 'user_change_role' user.id 1 %}">Promouvoir</a>
          </td>
          {% endif %} {% else %}
          <td><span class="normal-link rounder shadow py-1 px-4 bg-primary text-white">VOUS</span></td>
          {% endif %}
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
<script src="{% static 'assets/js/script.js' %}"></script>
<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
  setTabletrBgColor()
</script>
{% endblock main%}
